/* モーダル全体 */
.modal {
  position: fixed;
  z-index: 9999;
  inset: 0;
  background: rgba(0, 0, 0, 0.8);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;
  transition: opacity 0.4s ease, visibility 0.4s ease;
}

/* 表示状態 */
.modal.active {
  opacity: 1;
  visibility: visible;
}

/* 画像 */
.modal img {
  max-width: 1100px;
  border-radius: 8px;
  transform: scale(0.95);
  transition: transform 0.4s ease;
}

/* 表示時の拡大 */
.modal.active img {
  transform: scale(1);
}

/* 閉じるボタン */
.modal-close {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 30px;
  color: #fff;
  cursor: pointer;
}
@media (max-width: 640px) {
  .modal img {
    max-width: 90%;
  }
}



